#!/bin/bash

val=2
while [ $val -gt 1 ];
do
  val=` /usr/bin/ps -ef | /usr/bin/grep 'getgps.sh' | wc -l ` 
  if [ $val -gt 1 ]; then
	echo "GPS ALREADY RUNNING, wait a minute to run...."
  sleep 10
  fi
echo $val
done

#Now, check for another instance of ourselves already running....
#val=` /usr/bin/pgrep 'get_quick_loc.sh' ` 


while true ; do
    olderprocesses=0
    for pid in $(pgrep getquickloc.sh); do
	echo checking to see if $pid is less than $$
 	if [ $pid -lt $$ ] ; then
		echo "Lower pid value $pid running, let it finish and check again"
		olderprocesses=$((olderprocesses + 1))
	fi
    done
    echo PIDS: $olderprocesses
    if [ $olderprocesses -lt 1 ] ; then  # Looks like no other processing running with lower PID values!
	echo "Looks like we're clear to go ahead and run!"
	break
    else
		echo "Let's wait 10 seconds for the other processes to clean up "
		olderprocesses=0
		sleep 10
    fi

done


echo "===>python3 /home/pi/GPS/gpson.py"
python3 /home/pi/GPS/gpson.py
sleep 1

echo "===>gpsctl -n #1"
gpsctl -n
sleep 10

echo "===>stty -F /dev/ttyAMA0 38400 -echo"
sudo stty -F /dev/ttyAMA0 38400 -echo &
sleep 1 


echo "===>gpsd /dev/ttyAMA0 -F /var/run/gpsd.sock -n"
sudo gpsd /dev/ttyAMA0 -F /var/run/gpsd.sock -n
sleep 5 

#echo "===>gpsctl -n #1"
#sudo gpsctl -n &
#sleep 10

bandwidth=`/usr/bin/perl /home/pi/GPS/getbaud.pl`
echo "Reset using: stty -F /dev/ttyAMA0 $bandwidth -echo"
stty -F /dev/ttyAMA0 $bandwidth -echo
sleep 1

#echo "===>gpsctl -r /dev/ttyAMA0"
#gpsctl -r /dev/ttyAMA0
#sleep 1

echo "===>gpsctl -n #2"
gpsctl -n   # Puts the gps in NMEA mode
sleep 1

#echo "===>python /home/pi/GPS/utcset.py"
gpsctl -n  # Puts the gps in NMEA mode
python3 /home/pi/GPS/set_quick_loc.py $1
chown www-data $1
chgrp www-data $1


python /home/pi/GPS/gpsoff.py
