from timezonefinder import TimezoneFinder
from gps3 import gps3
import sqlite3
import time
import os

import RPi.GPIO as GPIO
#import time
GPIO.setmode(GPIO.BCM)
GPIO.setwarnings(False)
GPIO.setup(25,GPIO.OUT) # old GPS_POWER
GPIO.setup(18,GPIO.OUT) # new GPS POWER
GPIO.setup(23,GPIO.OUT) # old LED 
GPIO.setup(17,GPIO.OUT)  # new LED
##
#GPIO.output(25,GPIO.LOW) # just to be sure GPS is powered up
GPIO.output(18,GPIO.HIGH) # 
time.sleep(1)
GPIO.output(18,GPIO.LOW) # 
time.sleep(1)

os.system('gpsctl -n')

x=0
tries=1
#os.system('python3 /home/pi/countstick/gpson.py');
#os.system('python /home/pi/GPS/startgps.py');
print ("Connecting to GPS", flush=True);
gps_socket = gps3.GPSDSocket()
data_stream = gps3.DataStream()
gps_socket.connect()
gps_socket.watch()



print ("Beginning GPS Search", flush=True);

for new_data in gps_socket:
    if (new_data):
        data_stream.unpack(new_data)
#        print ("DATA:MODE ", str(data_stream.TPV['mode']))
#        print ("DATA: LAT", str(data_stream.TPV['lat']))
#        print ("DATA: LON", str(data_stream.TPV['lon']))
        latitude = data_stream.TPV['lat']
        longitude = data_stream.TPV['lon']
        latstring = str(latitude)
        lonstring = str(longitude)
        print ("DATA:", new_data)
        print('Latitude = ', latstring, flush=True)
        print('Longitude = ', lonstring, flush=True)
        if (latstring.find("a") > 0):
                tries = tries + 1
                print ("Still getting GPS fix...:" + str(tries) )
                print ("ALT:GPS Fix:",x, ' Latitude = ', data_stream.TPV['lat'] , 'Longitude = ', data_stream.TPV['lon'])
                if (tries % 100 == 0):
                        print ("hit cap of 100 tries, take a break for 10 secs....")
                        # retry
                        time.sleep(10)

                #if (tries == 10000):
                #        # <shrug> Looks like we're not going to get a fix here.
                #        print ("hit cap of 1000 tries, exiting....")
                #        break
        else:
                print ("GPS Fix:",x, ' Latitude = ', data_stream.TPV['lat'] , 'Longitude = ', data_stream.TPV['lon'])
                x = x + 1
                if (x == 1): # Set new timezone right away
                    tf = TimezoneFinder()
                    #latitude, longitude = lat, lon
                    timezone = tf.timezone_at(lng=longitude, lat=latitude) # returns 'Europe/Berlin' format
                    print ("Setting timezone to " + timezone)
                    #set OS timezone for display 
                    os.system("timedatectl set-timezone " + timezone);
#        time.sleep(1)
    if (x > 1000):
        break	

try: 
	con=sqlite3.connect('/home/pi/DATA/csdata.db');
except Error:
	print (Error)	


tf = TimezoneFinder()
#latitude, longitude = lat, lon
timezone = tf.timezone_at(lng=longitude, lat=latitude) # returns 'Europe/Berlin' format
#set OS timezone for display 
os.system("timedatectl set-timezone " + timezone);

cam_mode_f = open("/home/pi/mode","r")
cam_mode = cam_mode_f.read()

if (cam_mode[0:3] == 'ADT'):
        print("ADT MODE, adding GPS record to DB");
        insert_latlong = "INSERT INTO gps (lat, long, timezone, header_id) VALUES ('"+ latstring+"','"+lonstring+"','"+timezone+"', (select max(ID) from header))"
        con.execute(insert_latlong)
        con.commit()
        con.close()
else:
        print("CAM MODE, NOT ADDING GPS TO DB")


#shut off GPS module
#GPIO.output(25,GPIO.HIGH)
#GPIO.output(18,GPIO.HIGH)


i = 0;
#Signal completion
if (((os.uname().nodename) == "neo") or ((os.uname().nodename) == "gold")):
	while (i < 20000):
		GPIO.output(23,GPIO.HIGH)
		GPIO.output(17,GPIO.HIGH)
		time.sleep(.25)
		GPIO.output(23,GPIO.LOW)
		GPIO.output(17,GPIO.LOW)
		time.sleep(.25)
		i = i + 1


#os.system('python3 /home/pi/GPS/gpsoff.py');
#os.system('python /home/pi/GPS/stopgps.py');
